org.apache.sling.launchpad.startupmanager

## Class MBeanStartupListener

- java.lang.Object
- - org.apache.sling.launchpad.startupmanager.MBeanStartupListener

All Implemented Interfaces:
  org.apache.sling.launchpad.api.StartupListener

    public class MBeanStartupListener
    extends Object
    implements org.apache.sling.launchpad.api.StartupListener

The startup listener is listening for startup events. It notifies a JMX MBean when the startup is completed and about the progress.

### Constructor Summary

Constructors
Constructor and Description
`MBeanStartupListener()` Create a new MBean helper.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `inform(org.apache.sling.launchpad.api.StartupMode mode, boolean finished)`
`void` `startupFinished(org.apache.sling.launchpad.api.StartupMode mode)`
`void` `startupProgress(float ratio)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MBeanStartupListener

    public MBeanStartupListener()
                         throws MalformedObjectNameException

Create a new MBean helper.

Throws:
  `MalformedObjectNameException` - if the format of the object name does not correspond to a valid ObjectName.

### Method Detail

#### inform

    public void inform(org.apache.sling.launchpad.api.StartupMode mode,
                       boolean finished)

Specified by:
  `inform` in interface `org.apache.sling.launchpad.api.StartupListener`
See Also:
  `StartupListener.inform(org.apache.sling.launchpad.api.StartupMode, boolean)`

#### startupFinished

    public void startupFinished(org.apache.sling.launchpad.api.StartupMode mode)

Specified by:
  `startupFinished` in interface `org.apache.sling.launchpad.api.StartupListener`
See Also:
  `StartupListener.startupFinished(org.apache.sling.launchpad.api.StartupMode)`

#### startupProgress

    public void startupProgress(float ratio)

Specified by:
  `startupProgress` in interface `org.apache.sling.launchpad.api.StartupListener`
See Also:
  `StartupListener.startupProgress(float)`